# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import datetime
from django.utils.timezone import utc
import nmcc_ziamet.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='FiveMinData',
            fields=[
                ('_id', models.UUIDField(default=uuid.uuid4, serialize=False, editable=False, primary_key=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('description', models.TextField(null=True, blank=True)),
                ('timestamp', models.DateTimeField()),
                ('record', models.PositiveIntegerField(null=True, blank=True)),
                ('batt_volts', models.FloatField(null=True, blank=True)),
                ('panel_temp', models.FloatField(null=True, blank=True)),
                ('air_temp', models.FloatField(null=True, blank=True)),
                ('rh', models.FloatField(null=True, blank=True)),
                ('wind_speed', models.FloatField(null=True, blank=True)),
                ('wind_speed_max', models.FloatField(null=True, blank=True)),
                ('wind_speed_mean', models.FloatField(null=True, blank=True)),
                ('wind_dir', models.FloatField(null=True, blank=True)),
                ('wind_dir_mean', models.FloatField(null=True, blank=True)),
                ('precip_total', models.FloatField(null=True, blank=True)),
                ('solar_rad', models.FloatField(null=True, blank=True)),
                ('solar_rad_total', models.FloatField(null=True, blank=True)),
                ('soil_temp', models.FloatField(null=True, blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='HourlyData',
            fields=[
                ('_id', models.UUIDField(default=uuid.uuid4, serialize=False, editable=False, primary_key=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('description', models.TextField(null=True, blank=True)),
                ('timestamp', models.DateTimeField()),
                ('record', models.PositiveIntegerField(null=True, blank=True)),
                ('batt_volts_max', models.FloatField(null=True, blank=True)),
                ('batt_volts_min', models.FloatField(null=True, blank=True)),
                ('batt_volts_mean', models.FloatField(null=True, blank=True)),
                ('panel_temp_max', models.FloatField(null=True, blank=True)),
                ('panel_temp_min', models.FloatField(null=True, blank=True)),
                ('panel_temp_mean', models.FloatField(null=True, blank=True)),
                ('air_temp_max', models.FloatField(null=True, blank=True)),
                ('air_temp_min', models.FloatField(null=True, blank=True)),
                ('air_temp_mean', models.FloatField(null=True, blank=True)),
                ('rh_max', models.FloatField(null=True, blank=True)),
                ('rh_min', models.FloatField(null=True, blank=True)),
                ('rh_mean', models.FloatField(null=True, blank=True)),
                ('wind_speed_max', models.FloatField(null=True, blank=True)),
                ('wind_speed_mean', models.FloatField(null=True, blank=True)),
                ('wind_dir_mean', models.FloatField(null=True, blank=True)),
                ('precip_total', models.FloatField(null=True, blank=True)),
                ('solar_rad_max', models.FloatField(null=True, blank=True)),
                ('solar_rad_min', models.FloatField(null=True, blank=True)),
                ('solar_rad_mean', models.FloatField(null=True, blank=True)),
                ('solar_rad_total', models.FloatField(null=True, blank=True)),
                ('soil_temp_max', models.FloatField(null=True, blank=True)),
                ('soil_temp_min', models.FloatField(null=True, blank=True)),
                ('soil_temp_mean', models.FloatField(null=True, blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='Station',
            fields=[
                ('_id', models.UUIDField(default=uuid.uuid4, serialize=False, editable=False, primary_key=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('description', models.TextField(null=True, blank=True)),
                ('station_id', models.CharField(max_length=32, verbose_name=b'Station ID')),
                ('sdt', models.DateTimeField(default=nmcc_ziamet.models.now)),
                ('edt', models.DateTimeField(default=datetime.datetime(9999, 12, 31, 23, 59, 59, tzinfo=utc))),
                ('name', models.CharField(max_length=256)),
                ('latitude', models.FloatField(default=32.282)),
                ('longitude', models.FloatField(default=-106.76)),
                ('elevation', models.FloatField(default=1186.0)),
                ('time_zone', models.CharField(default=b'UTC', max_length=64, verbose_name=b'Time Zone')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='station',
            unique_together=set([('station_id', 'sdt')]),
        ),
        migrations.AddField(
            model_name='hourlydata',
            name='station',
            field=models.ForeignKey(to='nmcc_ziamet.Station'),
        ),
        migrations.AddField(
            model_name='fivemindata',
            name='station',
            field=models.ForeignKey(to='nmcc_ziamet.Station'),
        ),
        migrations.AlterUniqueTogether(
            name='hourlydata',
            unique_together=set([('station', 'timestamp')]),
        ),
        migrations.AlterUniqueTogether(
            name='fivemindata',
            unique_together=set([('station', 'timestamp')]),
        ),
    ]

