import os
from setuptools import setup


README = open(os.path.join(os.path.dirname(__file__), 'README.rst')).read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name = 'Django-NMCC-ZiaMet', 
    version = '4', 
    packages = ['nmcc_ziamet', 
        'nmcc_ziamet.management', 
        'nmcc_ziamet.management.commands', 
        'nmcc_ziamet.migrations'], 
    include_package_data = True, 
    install_requires = ['pytz', 
        'pandas <= 0.22.0', 
        'Django < 1.12', 
        'Django-NMSU-Templates >= 2', 
        'Django-NMCC-Templates >= 3', 
        'Dewpoint-Calculator >= 1', 
        'Wind-Chill-Calculator >= 1', 
        'Heat-Index-Calculator >= 1', 
        'GDD-Calculator >= 1', 
        'Daily-Reference-ET-Calculator >= 1'], 
    license = 'BSD License', 
    description = 'An NMCC application that stores and displays data ' + \
        'for the NMCC ZiaMet weather station network.', 
    long_description = README, 
    url = 'https://bitbucket.org/nmclimate/django-nmcc-ziamet/', 
    author = 'Stanley Engle', 
    author_email = 'sengle@nmsu.edu', 
    classifiers = [
        'Development Status :: 5 - Production/Stable', 
        'Environment :: Web Environment', 
        'Framework :: Django', 
        'Framework :: Django :: 1.8', 
        'Intended Audience :: End Users/Desktop', 
        'Intended Audience :: Science/Research', 
        'License :: OSI Approved :: BSD License', 
        'Operating System :: OS Independent', 
        'Programming Language :: Python', 
        'Programming Language :: Python :: 2.7', 
        'Topic :: Internet :: WWW/HTTP', 
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content', 
    ],
)



